#src mc-4.1.40-pre9

%define __name mc-4.1.40
%define __version pre9
%define __summary An alternate version of midnight commander
%define __release 2 
%define __url http://mc.linuxinside.com/
%define __group User/Console
%define __conflicts mc > 4.4
%define _prefix /usr

#Header
Summary: %__summary
Name: %__name
Version: %__version
Release: %mkrel %{__release}
Copyright: GPL
Group: %{__group}
Packager: yetiman <yetiman@yeticnc.com>
Url: %{__url}
Conflicts: %{__conflicts}
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
#description
%description
This is an alternate version of midnight commander that does not rely on any
part of X like Glib.
This version will not install alongside of a mc 4.6.  They will conflict remove the other version
before trying to install this one.
#end
%package -n %{name}-man
Summary:    Man files for mc
Group:      Application/manfiles
Requires:   %{name} = %{version}
%description -n %{name}-man
Install this package to get all of the midnight commander man pages.

#prep
%prep
%setup

# build
%build
%configure2_5x --with-included-slang --without-x

%make WARN_CFLAGS=""

# install
%install
if [ -d %{buildroot} ] ; then
rm -rf %{buildroot}
fi
%makeinstall_std
mkdir -p %{buildroot}/usr/share/man/{man1,man8}
mv %{buildroot}/usr/man/man1/* %{buildroot}/%{_mandir}/man1
mv %{buildroot}/usr/man/man8/* %{buildroot}/%{_mandir}/man8
rm -rf %{buildroot}/usr/man

%files 
%defattr(-,root,root)
%doc COPYING README.40
%{_bindir}/*
%{_libdir}/mc/*
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{name}-man
%defattr(-,root,root)
%{_mandir}/man1/*
%{_mandir}/man8/*

# clean up
%clean
rm -rf %{buildroot}

%changelog
* Tue Jun 05 2007 yetiman <yetiman@yeticnc.com>
- added the new release name for tinyme and placed the
- man pages in their own package.
* Tue Oct 17 2006 yetiman <yetiman@yeticnc.com>
- first build on pclos

